summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author Andrew Tkalia2013-06-03 02:25:27 +0200
committer Robby Workman2013-06-04 07:11:25 +0200
commit1576c5b4de9cf27b85d2783ad2fb966abef56023 (patch)
treedbf7f4358932fcfbacf302a0362bbad467d1dc96 /perl
parent4450f42810b29b1bbe554a50b43fc86b7b86c19d (diff)
downloadslackbuilds-1576c5b4de9cf27b85d2783ad2fb966abef56023.tar.gz
perl/perl-Authen-PAM: Added (Perl interface to PAM library)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Authen-PAM/README6
-rw-r--r--perl/perl-Authen-PAM/perl-Authen-PAM.SlackBuild100
-rw-r--r--perl/perl-Authen-PAM/perl-Authen-PAM.info10
-rw-r--r--perl/perl-Authen-PAM/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/perl/perl-Authen-PAM/README b/perl/perl-Authen-PAM/README
new file mode 100644
index 0000000000..e5ca7e90dc
--- /dev/null
+++ b/perl/perl-Authen-PAM/README
@@ -0,0 +1,6 @@
+Authen::PAM (Perl interface to PAM library)
+
+The Authen::PAM module provides a Perl interface to the PAM library.
+
+This requires building and installing /extra/source/pam:
+http://mirrors.slackware.com/slackware/slackware-14.0/extra/source/pam/
diff --git a/perl/perl-Authen-PAM/perl-Authen-PAM.SlackBuild b/perl/perl-Authen-PAM/perl-Authen-PAM.SlackBuild
new file mode 100644
index 0000000000..05c56fdcb5
--- /dev/null
+++ b/perl/perl-Authen-PAM/perl-Authen-PAM.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for perl-Authen-PAM
+
+# Copyright 2013, Andrew Tkalia, Ukraine, Kyiv
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=perl-Authen-PAM
+VERSION=${VERSION:-0.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Authen-PAM
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLSITEMAN3DIR=/usr/man/man3
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Authen-PAM/perl-Authen-PAM.info b/perl/perl-Authen-PAM/perl-Authen-PAM.info
new file mode 100644
index 0000000000..b4717fc9ad
--- /dev/null
+++ b/perl/perl-Authen-PAM/perl-Authen-PAM.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Authen-PAM"
+VERSION="0.16"
+HOMEPAGE="http://search.cpan.org/~nikip/Authen-PAM-0.16/d/PAM.pm"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/N/NI/NIKIP/Authen-PAM-0.16.tar.gz"
+MD5SUM="7278471dfa694d9ef312bc92d7099af2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README%"
+MAINTAINER="Andrew Tkalia"
+EMAIL="anddt@yandex.ru"
diff --git a/perl/perl-Authen-PAM/slack-desc b/perl/perl-Authen-PAM/slack-desc
new file mode 100644
index 0000000000..17c47015cb
--- /dev/null
+++ b/perl/perl-Authen-PAM/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Authen-PAM: Authen::PAM (Perl interface to PAM library)
+perl-Authen-PAM:
+perl-Authen-PAM: The Authen::PAM module provides a Perl interface to the PAM library.
+perl-Authen-PAM: The only difference with the standard PAM interface is that instead
+perl-Authen-PAM: of passing a pam_conv struct which has an additional context
+perl-Authen-PAM: parameter appdata_ptr, you must only give an address to a
+perl-Authen-PAM: conversation function written in Perl.
+perl-Authen-PAM:
+perl-Authen-PAM:
+perl-Authen-PAM:
+perl-Authen-PAM: